# This file is a template, and might need editing before it works on your project.
# Full project: https://gitlab.com/pages/hugo
image: jguyomard/hugo-builder

variables:
    GIT_SUBMODULE_STRATEGY: recursive
    
before_script:
  - apk --no-cache upgrade && apk --no-cache add samba samba-common-tools supervisor py-pip python3 py3-pip
  
build:
  script:
  - pip3 install requests
  - python3 get_app_data.py $HAASP_TOKEN
  - hugo
  - smbclient '//192.168.30.129/pages' $PASS -U $USER -c 'prompt OFF; recurse ON; rmdir '$CI_PROJECT_NAME';'
  - smbclient '//192.168.30.129/pages' $PASS -U $USER -c 'prompt OFF; recurse ON; mkdir '$CI_PROJECT_NAME'; cd '$CI_PROJECT_NAME'; lcd public; mput *'
  only:
  - master
  
